        function func3(x)
*
*  func3 (for diffusion exponents) Top of He/C transition zone.
*
        implicit double precision(a-h,o-z)
        common/alpha/alph(4),qmix1,qmix2,zone(2,2)
 
        x2 = x**alph(3)
        result = ( 2. - x2 ) / ( 2. + 2. * x2 )
        func3 = result
 
        return
        end

************************************************************************

